# Settings
## Overview
Settings  provides a friendly graphic interface to set the system. As shown in Fig 1.

![Fig 1 Ukui Control Center-big](image/1.png)
<br>

## System
### Display
![Fig 2 Display-big](image/2.png)
As shown in Fig 2.

- monitor：Select current monitor.
- resolution, orientation, refresh rate, screen zoom are all for the current active monitor.
- screen zoom to global zoom.
- night mode has the functions of adjusting color temperature and customizing the night mode time period.

### Audio

![Fig 3 Audio-output-big](image/audio1.png)

- Output Device: The output device is generated by obtaining the output configuration file selected by the sound card. You can click the drop-down box to view the available output devices in the current system and switch the corresponding output device as required.
- Output Volume: Adjust the current output volume. Move the slider to control the system output volume.
- Volume Increase: Enable volume enhancement and change the adjustable range of volume from 0-100% to 0-125%.
- Balance: Adjust the output volume of the left and right channels.

![Fig 3 Audio-input-big](image/audio2.png)

- Inpur Device: The input device is generated by obtaining the input configuration file selected by the sound card. You can click the drop-down box to view the input device available in the current system and switch the corresponding input device as required (Input device is mainly used for recording, video and calling).
- Input Volume: Adjust the current input volume. Move the slider to control the system input volume.
- Input Level: Detects the input level of the current input device (Detects the input level when an available input device is detected).
- Noise Reduction: load the noise reduction module.

![Fig 3 Audio-tone-big](image/audio3.png)

- Startup,Poweroff,Logout,Wakeup music: Controls whether to play music when the system is startup,poweroff,logout, or wake up.
- Beep Switch: Indicates that the system receives a notification or changes the volume.
- Sound Theme: The sound theme of the system.
- Volume Control Sound: Tone for volume change.
- Notification Sound: The system receives a notification tone.

### Power
As shown in Fig 4.
![Fig 4 Power-big](image/4.png)

- In general settings, you can set the system wake-up function and set the time when the system enters sleep and other operations. In addition, you can also turn on/off the hierarchical freezing function. After turning it on, you can further improve the system's fluency. It is turned on by default. After enabling the hierarchical freeze, you can turn on the freezing mode, which further restricts application resources to improve battery life, but it will freeze some background applications. It is turned off by default. The host light strip function relies on hardware support, and the interface will not display if it is not supported. It depends on the light strip tool.
- In the power plan, select different modes corresponding to different system performance consumption

- In the battery energy saving plan, select the corresponding options to achieve the battery energy saving effect

  Note: The dynamic scheduling of resources feature is not supported on 9006C machines

### Notice
In Notice module, you can choose whether to receive notifications from the corresponding application by turning the switch on/off.

As shown in Fig 5.

![Fig 5 Notice-big](image/5.png)

### Vino
Control whether your desktop can be accessed remotely by turning the local VNC service on and off

![Fig 6 Vino](image/6.png)

- "Connect to your desktop remotely" is turned off by default
- "Allow others to connect to your desktop remotely using RDP" is off by default, and xrdp needs to be installed to connect through xrdp (not displayed when not installed)
- "Allow  others to connect to your desktop remotely using VNC" is disabled by default, and can only be accessed, not controlled
- "Allow connection to control screen" is on by default and can be manipulated
- "You must confirm every visit for this machine"is on by default, and each access request needs to be answered
- "Require user to enter this password when using VNC" is disabled by default, and the password is not displayed in plaintext by default

The UI under Wayland

![Fig 6-1 Vino-Wayland](image/vino-wayland.png)

### About
The About module provides system version, device specifications, user information, authorization activation information and privacy agreement related information of the local system.

As shown in Fig 4.
![Fig 7 About-big](image/7.png)

### TouchCalibrate

In the "TouchCalibrate" setting, your touch device, display and touch logo are displayed. You can select the display and touch logo and click "map" to map the touch screen.
![Fig 8 TouchCalibrate-big](image/map.png)

<br>

## Devices
### Bluetooth
The Bluetooth module provides the visibility of switching on and off Bluetooth, modifying Bluetooth name, displaying and hiding Bluetooth task icons, and automatically discovering surrounding Bluetooth devices and local devices; The basic functions of pairing, connecting, disconnecting, removing Bluetooth devices , file transfer with the discovered Bluetooth devices , Automatically discover Bluetooth audio devices and The connected device has been renamed. Procedure are shown in the figure.

-Switch on and off Bluetooth: click the Bluetooth on button to turn on and off the Bluetooth adapter of this machine

-Modify Bluetooth name: click the mouse on the "Modify icon" or "Bluetooth name", and enter the desired name in the pop-up input box

-Show and hide the Bluetooth taskbar icon: click the button to show or not show the Bluetooth icon on the taskbar

-Bluetooth device classification: select the Bluetooth device type and type options (all, audio device, keyboard and mouse device, computer, mobile phone, other) displayed by selecting the drop-down box

-Basic operation of discovered Bluetooth device: single click  the discovered Bluetooth device to perform connection . The option to disconnection,remove and send files needs to be opened through the Bluetooth device settings option (note: some Bluetooth devices/models have no option to send files)

-Automatic discovery of Bluetooth audio devices: When the function switch of automatic discovery of Bluetooth audio devices is turned on, the Bluetooth service will start to detect the audio devices in the surrounding 3m, and if the detection meets the conditions, the user will be prompted whether to connect; If the function switch is off, it will not be processed

-Connected device renaming: Provides the local renaming function for connected devices

![Fig 9 Bluetooth-big](image/bluetooth.png)

### Printer
The printer function provides an entry point for the printer program.

![Fig 10 Printer-big](image/9.jpg)

### Mouse
In order to meet your personalized needs for mouse usage habits, you can personalize the mouse, pointer, and cursor in the "Mouse" configuration.

1) Mouse Button Settings:

- Main mouse button settings (left/right)
- Scroll direction setting (forward/reverse)
- Mouse wheel speed
- The length of the interval between double-clicks

2) Pointer Setting:

- Pointer move speed settings
- Enable mouse acceleration to improve pointer precision
- Position the pointer position
- Pointer size settings (small, medium, large)

3) Cursor Setting:

- Enables cursor flashing in the text area
- Cursor speed settings

![Fig mouse Mouse-big](image/mouse.png)

### Touchpad

The trackpad provides the following Settings

1) The trackpad is on/off when the mouse is inserted

2) The pointer speed is slow/fast

3) Disable trackpad on/off while typing

4) Touch the touch pad to turn on/off

5) Scroll bar follows finger slide to open/close

6) Touch scroll mode (middle area scroll, boundary scroll, disable scroll), when setting boundary scroll, vertical boundary and horizontal boundary scroll are effective, when setting middle area scroll, vertical middle and horizontal middle scroll are effective.

7) Interactive gestures:

- Three-finger click: The global search page is displayed
- Three-point slide: Minimize/close a window or TAB
- Three-pointer swipe up: Displays all task views
- Swipe left and right with three fingers: Toggle between open app Windows
- Swipe left and right with four fingers to switch between multiple desktops
- Four finger click: Call out sidebar

As shown in Fig touchpad.

![Fig touchpad Touchpad-big](image/touchpad.png)

### TouchScreen

The system supports multi-tasking, multi-scene desktop touch interaction, if your device supports touch function, you can use a variety of touch gestures for desktop operation.

The touch screen, also known as the "touch screen" and "touch panel", uses standard gestures to touch the symbols or text on the computer display to achieve interaction with the desktop.

![Fig TouchScreen-big](image/touchscreen-gesture.png)

The basic touchscreen gesture interactions are as follows:

- Click: Touch your finger to trigger functions such as selecting objects, opening menu bars, executing button commands, and more

- Double tap: Finger quickly tap twice to touch the device to trigger functions such as: open desktop app, open folder/file, select text, etc

- Long press: Long press and hold your finger on an element to trigger functions, such as: display pop-up menu bar, right-click menu bar, multi-select, select text, etc

- Swipe: Swipe to continuously scroll through lists and pages, switch pages/objects, swipe to adjust slider values

- Drag: Move object position, or drag for batch operations, such as: move windows/files, check icons/text, etc

- Pinch : Press and hold the screen with two fingers to expand outward to zoom in on content, and pinch inward to zoom out content, e.g. web pages, images

Note: If your device does not have this feature and does not have an external touchscreen, the settings for the touchscreen will not be displayed in the Control Panel.
      wlcom does not support tablet mode now.

![Fig TouchScreen-big](image/touchscreen.png)

### Keyboard
![Fig keyboard Keyboard-big](image/keyboard.png)

1) General Settings:

- Configurable to enable key repeating: Pressing a key will treat that behavior as a duplicate keyboard input. When key repeating is enabled, you can set the delay and speed options.
- Programmable delay: the interval between when a key is pressed and when the system starts receiving keyboard input
- Configurable speed: the interval between repeated inputs after pressing the key; The longer the interval, the fewer times the entry will be repeated in the same amount of time
- You can set to enable keytips: case toggle prompts.

2) Input method settings:

- Input method language, country settings
- Global configuration

### Shortcut

The Shortcut provides viewing system application shortcut keys, window management shortcut keys, addding custom shortcut keys and other related configurations in this configuration, and provide default recovery function for system application and window management shortcut keys.

The shortcut keys are adjusted according to the system version.

As shown in Fig 13.

![Fig 13 Shortcut-big](image/13.png)

![Fig 13 Shortcut-big1](image/11.png)

![Fig 13 Shortcut-big](image/122.png)

### Projection
Projection is a software that is allowed to be projected by mobile phones and other Kylin-OS and can be projected to other Kylin OS in Kylin OS desktop environment. It is divided into two parts: receiving terminal and sending terminal. The main interface is shown in Figure.

 ![Fig 14-1 Projection main interface-big](image/mainInterface.png)

 The function buttons at the receiving terminal are in the upper part of the main interface, from top to bottom:

1) Receiving terminal on / off button: after the button is turned on, the current Kylin-OS device can be searched by mobile phone device or other Kylin-OS devices.

2) PIN code function on / off button: after the button is turned on, the PIN code needs to be entered during connection.

 ![Fig 14-2 Enter PIN code interface-big](image/PINCodeinterface.png)

 ![Fig 14-3 Without PIN code interface-big](image/withoutPINCodeinterface.png)

3) Historical device show / hide button: when the button arrow points down, you can see the relevant devices connected to the current Kylin-OS device.

 ![Fig 14-4 Historical device interface-big](image/deviceInterface.png)

The function buttons at the sending terminal are in the lower part of the main interface, including:

Receiving terminal on / off button: this button is mutually exclusive with the sending terminal on / off button. When the receiving terminal on / off button is turned on, the receiving terminal on / off button needs to be turned off before the sending terminal on / off button can be turned on (the same is true for the receiving terminal turn on / off button). After opening this button, click Find device to pop up the search window, in which the searchable Kylin-OS device at the receiving terminal will be displayed.

 Connection process between mobile phone and Kylin-OS:

1) Open the receiving terminal on / off button (close the sending terminal on / off button first).

2) The mobile phone drop-down menu opens the projection (or mobile phone projection / multi screen collaboration).

 ![Fig 14-5 Phone open projection interface-big](image/phoneOpenProjectionInterface.png)

3) Select the Kylin-OS device to be projected in the mobile search device list.

 ![Fig 14-6 Phone search device interface-big](image/phoneSearchInterface.png)

4) Connect (there are two types: PIN code required and PIN code not required).

![Fig 14-7 Phone enter pin code interface-big](image/phonePINcodeInterface.png)

5) Select the mobile phone model (currently divided into Huawei, Xiaomi and others).

 ![Fig 14-8 Select phone model interface-big](image/chooseTypeInterface.png)

6) Projection interface: the mobile phone screen is displayed in the center of the interface. There are 5 buttons on the right side of the interface, from top to bottom: soft / hard decoding switching button; Full screen / window switching button; Return to parent directory button; Return to the main interface button; Display the application process button;

 ![Fig 14-9 Receiving terminal projection interface-big](image/receiverConnectInterface.png)

Kylin-OS and Kylin-OS connection process:

1) Open the on / off button at the sending terminal (close the on / off button at the receiving terminal in advance).

2) Click the search device on the left side of the switch button;

 ![Fig 14-10 Find device interface-big](image/searchDeviceInterface.png)

3) In the pop-up search window, select the Kylin-OS device to project to.

 ![Fig 14-11 Choose device interface-big](image/chooseDevice.png)

4) Projection interface.

 ![Fig 14-12 Sending terminal projection interface-big](image/senderConnectInterface.png)

**FAQ**

1. If the projection is unsuccessful, you can try to connect again, and the device connected once will be automatically recorded in the history device.

2. Kylin OS and some phones support the control return function (that is, the receiving terminal can indirectly affect the sending terminal by operating the mouse or keyboard).

3. At present only some Huawei phones and Xiaomi phones support Android three button function (the last three buttons on the interface on the right side of the screen). For other models, clicking these buttons may cause unknown problems.

4. The system will use soft decoding by default. At this time, you can manually switch to hard decoding (use hardware to decode video, reduce CPU occupation, and need hardware support).

5. The name of the receiving device can be changed in the screen projection interface. Click the "pen" icon on the right side of the projection screen to enter the modification interface.

![Fig 14-9 Sending terminal name modification interface-big](image/nameChangeInterface.png)

6. When the wireless network card is not inserted, or the wireless network card does not support the connection required for projection, it is necessary to insert the network card or replace the inserted network card.

![Fig 14-10 Projection function unavailable interface-big](image/unUseInterface.png)

7. When the package with wireless projection is not installed or the package version is too low, the projection function will not be displayed in the control panel.

8. When used as the sending terminal, it does not support projecting to the receiving terminal of SP1 version.

<br>

## Network
### WiredConnect

Provides the display, connection or disconnection of a wired network, and can switch and manage a single wired network card respectively.

As shown in Fig 15.

![Fig 15 WiredConnect-big](image/37.png)

### WlanConnect

Provide the display, connection or disconnection of wireless networks, and can switch management of wireless functions.

As shown in Fig 16.

![Fig 16 WlanConnect-big](image/38.png)

### Proxy
System Proxy, application Proxy and APT Proxy can be set.

![Fig 17 Proxy-big](image/14.png)

- System Proxy You can choose automatic proxy or manual proxy. Manual proxy includes HTTP, HTTPS, SOCKS, and FTP proxy.
- Application Proxy You can select the application and use the specified proxy to access the network.
- Enable APT Proxy to download and update applications in the software Store through the set proxy server.

### Vpn
As shown in Fig 18.

![Fig 18 Vpn-big](image/15.png)

### MobileHotspot

Using this machine as a wireless network provider, other devices can be connected to the Internet operation.

As shown in Fig 19.

![Fig 19 MobileHotspot-big](image/39.png)

<br>

## Personalized
### Background
The Background module provides two options for desktop background: color and image, also provides six display options: scaled, wallpaper, centered, stretched, zoom,spanned.

![Fig 20 Background-big](image/16.png)

### Theme

The Theme include theme mode, window appearance, icon theme, cursor theme, window effects, and related settings.

- Theme Mode:

  ![Fig 21-1 Theme mode](image/theme.png)

- Window Mode:

![Fig 21-1 Window mode](image/17.jpg)

- Icon theme and cursor theme:

![Fig 21-2 Icon&cursor theme](image/theme-cursor.png)

- Effect settings (some machines do not support this function)

  ![Fig 21-2 Effect Settings](image/theme-effect.png)

- Other:

  ![Fig 21-2 Others](image/related-settings.png)

### Screenlock

In Screenlock module, you can select the background image to display on the login interface, Supports the selection of local and online images, as well as restoring default images.

As shown in Fig 22.

![Fig 22-1 Screenlock](image/19.png)



### Screensaver

In Screensaver module, you can set screen saver program, wait time, show rest time, lock screen when screensaver boot. The screen saver provides two options: UKUI and Customize.

![Fig 22 Screensaver-big](image/20.png)

### Fonts

General settings for font, size, and monospace, Including adjusting font size, installing fonts, searching fonts, uninstalling fonts, applying fonts, viewing font details, etc.

Click the "Restore Defaults" button to restore all font settings to the system defaults.

![Fig 23 Fonts-big](image/21.png)

![Fig 23 Screensaver-big](image/font_bottom.png)

### Panel

Make general settings for merging taskbar icons, taskbar position, taskbar size, locking taskbar, hiding taskbar, showing multitasking views.

![Fig 24 Screensaver-big](image/panel.png)

- General setting of panel: allow to config Merge incons on the taskbar, Panel location, Panel size, Panel auto hide status, Panel lock status.

- Widgets always showed on panel: Settings can be configed by operating the switch buttons of sub items.

- Icons showed on system tray: Settings can be configed by operating the switch buttons of sub items such as Power, Sound, Network, Bluetooth, etc.


<br>

## Account
Account Settings provides three modules: User Info, Login Options, and Cloud Account.

### User Info

Manage and configure system users, allowing administrators to create users, delete users, and modify user information.

![Fig 25-1 Account-big](image/22.png)

#### Change the user's logo
- Click on the user's logo to modify it, and the picture can be selected from the local picture.

  ![Fig 26-1 Change logo](image/23.png)

#### Change password
- Click "Password" to modify the current user's password.

![Fig 26-2 Change password](image/24.png)

#### Change Account Type

There are two types of system users: standard users and administrator users.
- administrator: can elevated permission temporarily;
- standard user: can't elevated permission.

Tip: At least one administrator user must exist in the system.

![Fig 26-3 Change account type](image/25.png)

#### Edit Groups

Editing user groups allows for adding, deleting, modifying, and querying user groups.

![Fig 26-4 ](image/account-usergroup.png)

#### Other Users
Administrator can modify other user's information, new user, and detete user, etc..

- Add new user:Enter the username, nickname, password, password prompt, and select the user type,check Set password security questions to set the account security questions, and reset the password by answering the security questions when you forget the password. as shown in the image

![Fig 26-5 Add user](image/account-add.png)

![Fig 26-6 set-question](image/set-question.png)

- Edit user
![Fig 26-7 Edit user](image/27.png)

### Login Options
Login options can be configured

- Disable biometrics: Disable biometrics when logging in.

![Fig 27 Login Options-big](image/40.png)

### Cloud Account
Synchronize personalized settings and data, and this function needs to sign in.

![Fig 28 Cloud account-big](image/28.png)

#### Sign In
Login through Kylin ID login Center.

#### Synchronizable Items
- Desktop wallpaper

- Screensaver: wallpaper and idle time

- Fonts

- User's face

- The settings in control center, such as start menu, taskbar, theme, etc.

- The settings of pluma, kylin weather, peony, terminal, kylin video.

#### Tips
1) When opening the cloud account first time, it will synchronize once by default. If the cloud exists configuration files, it will download them and sync to local; Otherwise, the local configuration files will be uploaded to the cloud.

2) After login, if the automatic synchronization is opened, the cloud will synchronize the local configurations every 5 minutes. And they can be used by different machines, different users.

3) If the automatic synchronization is closed, all the cloud configurations will keep the last upload status.

4) The automatic synchronization for the single item is the similar effects.

<br>

## Datetime
### Date
- Automatic Time Sync: Time synchronization with NTP servers on the Internet.
- Manually set time: Manually set the time and year, month, and day.

As shown in Fig 29:

![Fig 29 Datetime-big](image/29.png)

- Automatic Time synchronization: synchronizes time with the NTP server on the Internet
- Manual Setting Time: Manually set the time, month, and day

### Area
- Language Format: Custom Calendar, First Day of the Week, Date Short Form, Date Long Form, Time.
- System language: the display language of system windows, menus and web pages, the preferred recommended language is Chinese Simplified.
- Click "Add" to add additional regional languages as alternatives.

As shown in Fig 30:

![Fig 30 Area-big](image/30.png)

<br>

## Update Operation

In update configuration, you can configure backup and update.

-Click start backup to automatically open our Kirin backup and restore tool for system content backup.
-Click Detect update to automatically open our Kirin update manager to obtain the updated content.


![Fig 31 Backup-big](image/31.png)

![Fig 32 Upgrade-big](image/32.png)

<br>

## Touchscreen Calibration

In the "Touch Calibration" setting, your touch device, display and touch logo are displayed. You can select the display and touch logo and click Touch Calibration to calibrate the touch screen.

![Fig 33 touchscreen calibration-big](image/calibration1_en.png)

![Fig 34 calibrating touchscreen-big](image/calibration2_en.png)

<br>

<br>

## Application
### Auto Start

The Auto Start module display the startup software that currently exists in the system.

As shown in Fig 35:

![Fig 35 Autoboot-big](image/34.png)

### Default App

The Default App can modify several types of default open applications in the figure.

As shown in Fig 36:

![Fig 36 Defaultapp-big](image/35.png)

## Investigation

### Search

Improve search efficiency through Settings.

As shown in Fig 37:

![Fig 37 Search-big](image/search.png)