#ifndef DELETEUSEREXISTS_H
#define DELETEUSEREXISTS_H

#include <QDialog>
#include <kysdk/applications/klabel.h>
using namespace kdk;

class QHBoxLayout;
class QVBoxLayout;
class QFrame;
class QRadioButton;
class QLabel;
class QPushButton;
class QButtonGroup;

class DeleteUserExists : public QDialog
{
    Q_OBJECT

public:
    explicit DeleteUserExists(QString name, QString nick, QWidget *parent = nullptr);
    ~DeleteUserExists();
public:
    void initUI();
    void setConnect();

public:
    QVBoxLayout * mainVerLayout;
    QHBoxLayout * titleHorLayout;
    QHBoxLayout * noteHorLayout;
    QHBoxLayout * removeButKeepFilesHorLayout;
    QHBoxLayout * removeWholeHorLayout;
    QHBoxLayout * bottomBtnsHorLayout;

    QFrame * removeButKeepFilesFrame;
    QFrame * removeWholeFrame;

    QButtonGroup * removeBtnGroup;

    QRadioButton * removeButKeepFilesRadioBtn;
    QRadioButton * removeWholeRadioBtn;

    QLabel *noteLabel;
    KLabel *removeButKeepFilesLabel;
    KLabel *removeWholeLabel;

    QPushButton * cancelBtn;
    QPushButton * confirmBtn;

protected:
    bool eventFilter(QObject *watched, QEvent *event);

private:
    QString _name;
    QString _nick;

signals:
    void confirmChanged(bool removeFiles);
};

#endif // DELETEUSEREXISTS_H
