/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*-
 *
 * Copyright (C) 2024 KylinSoft  Co., Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */
#ifndef ADVANCEDDIALOG_H
#define ADVANCEDDIALOG_H

#include <QWidget>
#include <QLabel>
#include <QComboBox>
#include <QPushButton>
#include <QStandardItemModel>
#include <QGSettings>
#include <QGridLayout>
#include <QTextEdit>

class AdvancedDialog : public QWidget
{
    Q_OBJECT

public:
    explicit AdvancedDialog(QWidget *parent = nullptr);
    ~AdvancedDialog();

private:
    void setWidgetUi();
    void setWidgetContent();
    void setConnect();
    void comboxTextChangedSlot(const QString& text);
    void styleSettingChangeSlot(const QString& key);
    void monoSettingChangeSlot(const QString& key);
    QStringList splitFontNameSize(QString value);

private:
    QPushButton *m_okButton;
    QPushButton *m_cancelButton;
    QStringList m_monospacefontStrList;
    QLabel* m_title = nullptr;
    QTextEdit* m_desc = nullptr;
    QComboBox* m_monoCombox = nullptr;
    QStandardItemModel* m_monoModel = nullptr;
    QGSettings* m_ifsettings = nullptr;
    QGSettings* m_gnomeSettings = nullptr;
    QGSettings* m_stylesettings = nullptr;
    QPushButton* m_confirmButton = nullptr;
    QGridLayout* m_gridLayout = nullptr;
    QVBoxLayout* m_vGridLayout = nullptr;
};

#endif // ADVANCEDDIALOG_H
