#ifndef STATUSDIALOG_H
#define STATUSDIALOG_H

#include <QObject>
#include <QDialog>
#include <QLabel>
#include <QPushButton>
#include <klabel.h>

using namespace kdk;

const QString vTen        = "v10";
const QString vTenEnhance = "v10.1";
const QString vFour = "v4";
const QString v11 = "v11";

#define THEME_STYLE_SCHEMA "org.ukui.style"
#define STYLE_NAME_KEY "style-name"
#define CONTAIN_STYLE_NAME_KEY "styleName"
#define UKUI_DEFAULT "ukui-default"
#define UKUI_DARK "ukui-dark"

class StatusDialog : public QDialog
{
    Q_OBJECT
public:
    StatusDialog(QWidget *parent = nullptr);
    ~StatusDialog();

private:
    void initUI();
    void getActivationCode();

public:
    QLabel *mLogoLabel;
    QLabel *mVersionLabel_1;
    KLabel *mVersionLabel_2;
    KLabel *mStatusLabel_1;
    QLabel *mStatusLabel_2;
    QLabel *mSerialLabel_1;
    KLabel *mSerialLabel_2;
    KLabel *mTimeLabel_1;
    QLabel *mTimeLabel_2;
    KLabel *mActivationCodeLabel_1;
    KLabel *mActivationCodeLabel_2;
    QPushButton *mExtentBtn;

private:
    QFrame *mVersionFrame;
    QFrame *mStatusFrame;
    QFrame *mSerialFrame;
    QFrame *mTimeFrame;
    QFrame *mActivationFrame;
};

#endif // STATUSDIALOG_H
